%define upstream_name Text_Highlighter
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.7.3
Release:     	%mkrel 9
Summary:    	Syntax highlighting
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Text_Highlighter-%{version}.tgz
URL: 		http://pear.php.net/package/Text_Highlighter
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear 
Requires:	php-pear-XML_Parser >= 1.0.1
Requires:	php-pear-Console_Getopt >= 1.0
BuildArch: noarch

%description
Text_Highlighter is a package for syntax highlighting.

It provides a base class provining all the functionality,
and a descendent classes geneator class.

The main idea is to simplify creation of subclasses
implementing syntax highlighting for particular language.
Subclasses do not implement any new functioanality,
they just provide syntax highlighting rules.
The rules sources are in XML format.

To create a highlighter for a language, there is no need
to code a new class manually. Simply describe the rules
in XML file and use Text_Highlighter_Generator to create
a new class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Text_Highlighter.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Text_Highlighter.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Text_Highlighter
fi

%files
%doc docs/Text_Highlighter/*
%{peardir}/*
%{_bindir}/generate
%{_bindir}/generate.bat
%{xmldir}/Text_Highlighter.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.7.3-9.mga8
+ Revision: 1499209
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.7.3-8.mga7
+ Revision: 1274029
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.7.3-7.mga6
+ Revision: 936004
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-6.mga5
+ Revision: 744616
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.7.3-5.mga5
+ Revision: 725202
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.3-4.mga5
+ Revision: 687486
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.3-3.mga4
+ Revision: 517267
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 377326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 13 2012 spuhler <spuhler> 0.7.3-1.mga2
+ Revision: 195598
- upgrade to 0.7.3
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 0.7.1-5.mga1
+ Revision: 28024
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Text_Highlighter


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-5mdv2011.0
+ Revision: 607151
- rebuild

* Sun Nov 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-4mdv2010.1
+ Revision: 466323
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7.1-3mdv2010.0
+ Revision: 426669
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-2mdv2009.1
+ Revision: 321903
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-1mdv2009.0
+ Revision: 272598
- 0.7.1

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.7.0-3mdv2009.0
+ Revision: 224883
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-2mdv2008.1
+ Revision: 178539
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2008.0
+ Revision: 54559
- 0.7.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.9-1mdv2007.0
+ Revision: 81226
- Import php-pear-Text_Highlighter

* Sat Apr 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.9-1mdk
- 0.6.9

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.8-1mdk
- 0.6.8
- new group (Development/PHP)

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.6-1mdk
- 0.6.6

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-1mdk
- initial Mandriva package (PLD import)

